- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Controls::CScrollBar Class Reference

Inheritance diagram for Exponent::GUI::Controls::CScrollBar:

List of all members.

## Detailed Description

Scroll bar.

Date:
  19/04/2005

Author:
  Paul Chana

Version:
  1.0.0 Initial version

  1.0.1 Update to suit new CScrollPanel

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CScrollBar.hpp,v 1.5 2007/02/08 21:07:54 paul Exp

Definition at line 40 of file CScrollBar.hpp.

## Public Member Functions

- CScrollBar (IControlRoot *root, const long uniqueId, const CRect &area, const CRect &virtualArea, IScrollListener *scrollListener=NULL)
- virtual void drawControl (CGraphics &graphics)
- virtual void handleActionEvent (const CActionEvent &event)
- virtual void registerScrollListener (IScrollListener *listener)
- void setScrollBarImages (CScrollBarImages *normal, CScrollBarImages *mouseOver, CScrollBarImages *mouseDown)
- void setVirtualArea (const CRect &virtualArea)
- virtual ~CScrollBar ()

## Protected Attributes

- double m_areaRatio
- CScrollBarImages * m_mouseDownImages
- CScrollBarImages * m_mouseOverImage
- CScrollBarImages * m_normalImages
- IScrollListener * m_scrollListener
- CRect m_virtualArea

## Constructor & Destructor Documentation

Exponent::GUI::Controls::CScrollBar::CScrollBar | ( | IControlRoot * | root,
|  | const long | uniqueId,
|  | const CRect & | area,
|  | const CRect & | virtualArea,
|  | IScrollListener * | scrollListener = `NULL` |
| ) |  |  |

Construction

Parameters:

  | root | The root control
  | uniqueId | The uniqueId
  | area | The area of the control
  | virtualArea | The virtual area to cover
  | scrollListener | The scrolling listener

virtual Exponent::GUI::Controls::CScrollBar::~CScrollBar | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

virtual void Exponent::GUI::Controls::CScrollBar::drawControl | ( | CGraphics & | graphics | ) | `[virtual]`

Draw the controls

Reimplemented from Exponent::GUI::Controls::CSlider.

virtual void Exponent::GUI::Controls::CScrollBar::handleActionEvent | ( | const CActionEvent & | event | ) | `[virtual]`

Handle events from the slider

Parameters:

  | event | The scrolling event

virtual void Exponent::GUI::Controls::CScrollBar::registerScrollListener | ( | IScrollListener * | listener | ) | `[virtual]`

Register scroll listener

Parameters:

  | listener | The scrolling listener

void Exponent::GUI::Controls::CScrollBar::setScrollBarImages | ( | CScrollBarImages * | normal,
|  | CScrollBarImages * | mouseOver,
|  | CScrollBarImages * | mouseDown |
| ) |  |  |

Set the scroll bar images

Parameters:

  | normal | Normal graphics
  | mouseOver | The mouse over graphics
  | mouseDown | The mouse down graphics

void Exponent::GUI::Controls::CScrollBar::setVirtualArea | ( | const CRect & | virtualArea | ) |

Set the virtual area

Parameters:

  | virtualArea | The virtual area

## Member Data Documentation

double Exponent::GUI::Controls::CScrollBar::m_areaRatio`[protected]`

Ratio of true area to virtual area

Definition at line 113 of file CScrollBar.hpp.

CScrollBarImages* Exponent::GUI::Controls::CScrollBar::m_mouseDownImages`[protected]`

Down images

Definition at line 117 of file CScrollBar.hpp.

CScrollBarImages* Exponent::GUI::Controls::CScrollBar::m_mouseOverImage`[protected]`

Over images

Definition at line 116 of file CScrollBar.hpp.

CScrollBarImages* Exponent::GUI::Controls::CScrollBar::m_normalImages`[protected]`

Normal images

Definition at line 115 of file CScrollBar.hpp.

IScrollListener* Exponent::GUI::Controls::CScrollBar::m_scrollListener`[protected]`

The scroll message listener

Definition at line 110 of file CScrollBar.hpp.

CRect Exponent::GUI::Controls::CScrollBar::m_virtualArea`[protected]`

The virtual area

Definition at line 112 of file CScrollBar.hpp.